org.eclipse.emf.cdo.spi.transfer

## Class ResourceFactoryRegistryWithoutDefaults

- java.lang.Object
- - org.eclipse.emf.ecore.resource.impl.ResourceFactoryRegistryImpl
  - - org.eclipse.emf.cdo.spi.transfer.ResourceFactoryRegistryWithoutDefaults

- All Implemented Interfaces:
    Resource.Factory.Registry

      public class ResourceFactoryRegistryWithoutDefaults
      extends ResourceFactoryRegistryImpl

  A `resource factory registry` that does not delegate and does not recognize default extensions or default content types. This registry can be used to determine whether a `transfer element` can be loaded as an EMF model `resource` or not.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceFactoryRegistryImpl

      `CONTENT_DESCRIPTION_OPTIONS, CONTENT_TYPE_REQUESTED_PROPERTIES, contentTypeIdentifierToFactoryMap, extensionToFactoryMap, protocolToFactoryMap`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory.Registry

      `DEFAULT_CONTENT_TYPE_IDENTIFIER, DEFAULT_EXTENSION, INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceFactoryRegistryWithoutDefaults()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Resource.Factory` | `delegatedGetFactory(URI uri, String contentTypeIdentifier)`

    - ### Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceFactoryRegistryImpl

      `convert, delegatedGetFactory, getContentDescriptionOptions, getContentTypeIdentifier, getContentTypeToFactoryMap, getExtensionToFactoryMap, getFactory, getFactory, getFactory, getProtocolToFactoryMap, getURIConverter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceFactoryRegistryWithoutDefaults

          public ResourceFactoryRegistryWithoutDefaults()

  - ### Method Detail

    - #### delegatedGetFactory

          protected Resource.Factory delegatedGetFactory(URI uri,
                                                         String contentTypeIdentifier)

      Overrides:
        `delegatedGetFactory` in class `ResourceFactoryRegistryImpl`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html